- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InitObjBound Class Reference

the InitObjBound class. More...

`#include <OSOption.h>`

List of all members.

## Public Member Functions
| InitObjBound ()
| Default constructor.
| ~InitObjBound ()
| Class destructor.
bool | IsEqual (InitObjBound *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | idx
| objective index
double | lbValue
| initial lower bound
double | ubValue
| initial upper bound

## Detailed Description

the InitObjBound class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2004 of file OSOption.h.

## Constructor & Destructor Documentation

InitObjBound::InitObjBound | ( |  | ) |

Default constructor.

Definition at line 802 of file OSOption.cpp.

InitObjBound::~InitObjBound | ( |  | ) |

Class destructor.

Definition at line 812 of file OSOption.cpp.

## Member Function Documentation

bool InitObjBound::IsEqual | ( | InitObjBound * | that | ) |

A function to check for the equality of two objects.

Definition at line 9660 of file OSOption.cpp.

References idx, isEqual(), lbValue, and ubValue.

bool InitObjBound::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10985 of file OSOption.cpp.

References idx, lbValue, OSRand(), and ubValue.

Referenced by InitObjectiveBounds::setRandom().

## Member Data Documentation

int InitObjBound::idx

objective index

Definition at line 2008 of file OSOption.h.

Referenced by InitObjectiveBounds::addObj(), IsEqual(), InitObjectiveBounds::setObj(), and setRandom().

double InitObjBound::lbValue

initial lower bound

Definition at line 2011 of file OSOption.h.

Referenced by InitObjectiveBounds::addObj(), IsEqual(), InitObjectiveBounds::setObj(), and setRandom().

double InitObjBound::ubValue

initial upper bound

Definition at line 2014 of file OSOption.h.

Referenced by InitObjectiveBounds::addObj(), IsEqual(), InitObjectiveBounds::setObj(), and setRandom().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp